Skip to main content
GET
/
snippets
/
categories
/
{id}
Get details of a snippet category
curl --request GET \
  --url https://api.getfernand.com/snippets/categories/{id} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.getfernand.com/snippets/categories/{id}"

headers = {"X-API-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.getfernand.com/snippets/categories/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.getfernand.com/snippets/categories/{id}"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
using RestSharp;


var options = new RestClientOptions("https://api.getfernand.com/snippets/categories/{id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.get("https://api.getfernand.com/snippets/categories/{id}")
.header("X-API-Key", "<api-key>")
.asString();
{
  "id": 5,
  "name": "Customer Support",
  "sort": 1,
  "parent_id": 2
}
{
"error": "<string>"
}
Retrieves the details of a single snippet category by its ID.

Authorizations

X-API-Key
string
header
required

Authenticate your account by including your secret key in API requests. You can manage your API keys in the Dashboard.

Authentication to the API is performed by using the HTTP Header X-API-Key.

Path Parameters

id
integer
required

ID of the category to retrieve.

Response

Category retrieved successfully.

id
integer<int32>
required

Unique identifier for the snippet category

Example:

5

name
string
required

Name of the category

Maximum string length: 250
Example:

"Customer Support"

sort
integer<int32>
required

Sort order within the parent category (1-based)

Example:

1

parent_id
integer<int32> | null

ID of the parent category (null for root-level categories)

Example:

2